- unless @allowed_to_merge
  - if @project.archived?
    %p
      %strong
        = t('merge_request_section.archived_projects_cannot_commit')
  - else
    .automerge_widget.cannot_be_merged.hide
      %strong
        = t('merge_request_section.cant_be_merged_automatically')

    .automerge_widget.can_be_merged.hide
      %strong
        = t('merge_request_section.can_be_merged_automatically')


- if @show_merge_controls
  .automerge_widget.can_be_merged.hide
    .clearfix
      = form_for [:automerge, @project, @merge_request], remote: true, method: :post do |f|
        %h4
          = t('merge_request_section.accept_automatically')
        %div
          = t('merge_request_section.still_want_manually')
          %strong
            = link_to t('merge_request_section.click_here'), "#modal_merge_info", class: "how_to_merge_link vlink", "data-toggle" => "modal"
          = t('merge_request_section.for_instructions')

        .js-toggle-container
          %p
            = t('merge_request_section.modify_merge_commit_message')
            %strong
              = link_to t('merge_request_section.click_here'), "#", class: "modify-merge-commit-link js-toggle-button"
          .js-toggle-content.hide
            .form-group
              = label_tag :merge_commit_message, t("merge_request_section.commit_message"), class: 'control-label'
              .col-sm-10
                = render 'shared/commit_message_container', {textarea: text_area_tag(:merge_commit_message,
                    @merge_request.merge_commit_message, class: "form-control js-gfm-input", rows: 14, required: true)}
                %p.hint
                  = t('merge_request_section.maximum_length')

        .accept-group
          .pull-left
            = f.submit t("merge_request_section.accept_merge_request"), class: "btn btn-create accept_merge_request"
          - if can_remove_branch?(@merge_request.source_project, @merge_request.source_branch)
            .remove_branch_holder.pull-left
              = label_tag :should_remove_source_branch, class: "checkbox" do
                = check_box_tag :should_remove_source_branch
                = t('merge_request_section.source_branch')


  .automerge_widget.no_satellite.hide
    %p
      %span
        %strong
          = t('merge_request_section.not_satelite')

  .automerge_widget.cannot_be_merged.hide
    %h4
      = t('merge_request_section.request_cant_merge_gitlab')
    %p
      = t('merge_request_section.should_do_manually')
      %strong
        = link_to "#{t('merge_request_section.command_line')}", "#modal_merge_info", class: "how_to_merge_link", title: "How To Merge", "data-toggle" => "modal"

  .automerge_widget.unchecked
    %p
      %strong
        %i.icon-spinner.icon-spin
        = t('merge_request_section.check_ability')

  .automerge_widget.already_cannot_be_merged.hide
    %p
      %strong
        = t('merge_request_section.cant_merge_reload')

  .merge-in-progress.hide
    %p
      %i.icon-spinner.icon-spin
      &nbsp;
      = t('merge_request_section.in_progress')
      &nbsp;